:root {
  --background-top-color: #d5fdff;
  --background-bottom-color: #ffe3fc;
  --primary-color: #A00893; 
  --secondary-color: #c1c6fc;
  --accent-color: #BE03FD; 
  --alt-accent-color: #00f1ff;
  --dark-color: #000133;
  --shadow-color: #BE03FD40;
}

iframe#plaza {
    background: var(--accent-color);
}

.example{
    font-size: 24px;
}

body {
  color: var(--primary-color);
  font-family: sans-serif;
  font-size: 1.2em;
  line-height: 1.5em;
  max-width: 100%;
  margin: 0 2% 0 2%;
  padding: 0;
  background: var(--background-top-color);
  background: linear-gradient(var(--background-top-color), var(--background-bottom-color));
  background-attachment: fixed;
}

p, li {
    text-shadow: 2px 2px var(--shadow-color);
}

hr {
    color: var(--secondary-color);
}

/* Structure */
header .container,
nav {
  text-align: center;
}

/* Typography */
h1,h2,h3,h4,h5,h6 {
  color: var(--accent-color);
  letter-spacing: 5px;
  font-weight: bold;
  font-style: italic;
  text-shadow: 2px 2px var(--alt-accent-color);
}

h2 {
  animation: wiggle-shadow 10s linear infinite;
  text-align: right;
}

h1 {
    padding-bottom: 30px;
    text-transform: uppercase;
    font-weight: normal;
    font-family: monospace;
    font-size: 5em;
    line-height: 1em;
    letter-spacing: 50px;
    text-shadow: 2px 2px var(--alt-accent-color),
		 4px 4px var(--alt-accent-color),
		 6px 6px var(--alt-accent-color),
		 8px 8px var(--alt-accent-color),
		 10px 10px var(--alt-accent-color);
    animation: wiggle-long-shadow 10s linear infinite;
}

@keyframes wiggle-long-shadow {
    0% {
	transform: skewY(0deg);
	text-shadow: 2px 2px var(--alt-accent-color),
		     4px 4px var(--alt-accent-color),
		     6px 6px var(--alt-accent-color),
		     8px 8px var(--alt-accent-color),
		     10px 10px var(--alt-accent-color);
    }
    25%{
	transform: skewY(4deg);
    }
    50%{
	text-shadow: -2px 2px var(--alt-accent-color),
		     -4px 4px var(--alt-accent-color),
		     -6px 6px var(--alt-accent-color),
		     -8px 8px var(--alt-accent-color),
		     -10px 10px var(--alt-accent-color);
    }
    75% {
	transform: skewY(-4deg);
    }
    100% {
	transform: skewY(0deg);
	text-shadow: 2px 2px var(--alt-accent-color),
		     4px 4px var(--alt-accent-color),
		     6px 6px var(--alt-accent-color),
		     8px 8px var(--alt-accent-color),
		     10px 10px var(--alt-accent-color);
    }
}

@keyframes wiggle-shadow {
    0% {
	text-shadow: 2px 2px var(--alt-accent-color);
    }
    50%{
	text-shadow: -2px 2px var(--alt-accent-color);
    }
    100% {
	text-shadow: 2px 2px var(--alt-accent-color);
    }
}

/* Links */
a:link,
a:visited,
a:active {
  color: var(--accent-color);
  text-decoration: none;
  font-style: italic;
  border-bottom: 2px solid var(--accent-color);
  margin: 0 0 4px 0;
}

/* Lists */
ol {
  list-style-type: lower-roman;
}

ul {
  list-style-type: "⭑";
}

nav ul {
  list-style-type: none;
  padding: 0 0 0 0;
}

nav ul li {
  display: inline;
  margin: 0 1%;
}

/* Bonus! */
::-moz-selection {
  background-color: var(--alt-accent-color);
}
::selection {
  background-color: var(--alt-accent-color);
}
